Subject: Offline Message from Modi: Hello. I've an order that had been placed two mont
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Jun 2020 11:44:44 -0000

From: Modi <[email-masked]>
Phone: 
Location: Dammam, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/
Department: 

Hello.
I've an order that had been placed two months ago and not delivered yet. 
Order #100137014
I sent an email asking to cancel it but there was no replay.
I also called your customer service (international call) and  the lady who answered told me that she will cancel the order and add the money as a voucher to my account. Nothing of what she said happened. I received NOTHING!

This is unacceptable. 
your customer service should be better than this!

Please CANCEL MY ORDER and I want my money back as soon as possible! 

----
Zopim
https://www.zopim.com